LaTeX forum ⇒ TeX Live and MacTeXoutdated TeX Live upgrade script? Topic is solved

Information and discussion about TeX Live distribution for all platforms (Windows, Linux, Mac OS X) and the related MacTeX: installing, updating, configuring
grobber
Posts: 2
Joined: Tue Apr 30, 2019 4:20 am

outdated TeX Live upgrade script?

Postby grobber » Tue Apr 30, 2019 4:29 am

I am trying to upgrade from TL2018 to TL2019 following these instructions verbatim (this has worked for me in the past, repeatedly). While running the upgrade script, however, I receive the following message(s):

Verifying archive integrity... All good.
Uncompressing TeX Live Manager Updater 100%
./runme.sh: updating in <top directory>/texlive/2019...
./runme.sh: tlmgr version says this is TeX Live 2018,
./runme.sh: and this updater script created: Tue Sep 4 02:55:31 CEST 2018.
./runme.sh: have TL 2018, new version also 2018;
./runme.sh: using --upgrade doesn't make sense; terminating.
(./runme.sh: makeself creation date = Tue Sep 4 02:55:31 CEST 2018.)

The problem seems to be that the link on the upgrade page is to an earlier version of the upgrade script. Has anyone else encountered this problem?

User avatar
Johannes_B
Site Moderator
Posts: 4103
Joined: Thu Nov 01, 2012 4:08 pm

Postby Johannes_B » Wed May 01, 2019 6:48 am

It usually takes about one or two (maybe three) days to sync all mirrors. Just try again tomorrow.
The smart way: Calm down and take a deep breath, read posts and provided links attentively, try to understand and ask if necessary.

grobber
Posts: 2
Joined: Tue Apr 30, 2019 4:20 am

Postby grobber » Sun May 05, 2019 3:26 pm

Thank you!

You were right: it worked just fine a few days later.


Return to “TeX Live and MacTeX”

Who is online

Users browsing this forum: No registered users and 1 guest